commit 9410a52061ffe4a9e6ef8fd82f9c21d1874ff589
Author: Richard Biener <rguenther@suse.de>
Date:   Thu May 11 09:13:31 2023

    testsuite/108776 - avoid c-c++-common/rotate-11.c FAIL
    
    On the branch ranger isn't powerful enough to handle some cases
    appearing with logical-op-non-short-circuit evaluating to false
    causing FAILs of the testcase for ppc64le and s390x.  The following
    foces logical-op-non-short-circuit to true for this testcase
    on the branch.
    
            PR testsuite/108776
            * c-c++-common/rotate-11.c: Add --param logical-op-non-short-circuit=1.

diff --git a/gcc/testsuite/c-c++-common/rotate-11.c b/gcc/testsuite/c-c++-common/rotate-11.c
index e57db19d949..85cde2786e2 100644
--- a/gcc/testsuite/c-c++-common/rotate-11.c
+++ b/gcc/testsuite/c-c++-common/rotate-11.c
@@ -1,6 +1,6 @@
 /* PR tree-optimization/108440 */
 /* { dg-do compile { target { { ilp32 || lp64 } || llp64 } } } */
-/* { dg-options "-O2 -fdump-tree-optimized" } */
+/* { dg-options "-O2 -fdump-tree-optimized --param logical-op-non-short-circuit=1" } */
 /* { dg-final { scan-tree-dump-times " r<< " 5 "optimized" } } */
 /* { dg-final { scan-tree-dump-times " \\\& 7;" 4 "optimized" } } */
 

